#ifndef __BOOT_JUMP_H
#define __BOOT_JUMP_H

#include "bootloader.h"

/* Инициализация приложения */
void App_Init(void);
/* Переход в бутлоадер */
void JumpToBootloader(void);
/* Переход к основному приложению */
void JumpToApplocation(void);

/* Сброс ключа BOOT в Flash */
void ResetKey(void);
/* Установка ключа BOOT в Flash */
void SetKey(void);
/* Чтение ключа BOOT из Flash */
uint32_t ReadKey(void);
/* Стирание ключа BOOT в Flash */
void EraseKey(void);

/* Проверка валидности прошивки перед переходом к приложению */
HAL_StatusTypeDef Verify_Firmware(void);


#endif //__BOOT_JUMP_H